Bug 480436 - gnome-system-monitor crashes X session
gnome-system-monitor crashes X session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-17 04:52 EST by Adrian
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:38:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian 2009-01-17 04:52:24 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.5) Gecko/2008121622 Fedora/3.0.5-1.fc10 Firefox/3.0.5

When I click on the "Processes" tab, my desktop session crashes after about 2 seconds and get taken to the login screen (GDM). 

Reproducible: Always

Steps to Reproduce:
1. gnome-system-monitor
2. click on Processes tab

Actual Results:  
I get logged out of my X session (X crashes) after a delay of roughly 2 seconds.

Expected Results:  
View processes

Kernel = 2.6.27.9-159.fc10.x86_64
gnome-system-monitor-2.24.1-1.fc10.x86_64
xorg-x11-drv-fglrx-8.561-3.8.12.fc10.x86_64
Smolt profile: http://www.smolts.org/client/show/pub_1b207fbc-fc60-4d7c-b2de-c1dbe700ad85
Comment 1 Nicola Romanò 2009-04-03 06:29:24 EDT
I can confirm this bug. ATI card, driver independent (happens with fglrx, ati and radeon)

Also, if system monitor is used as a panel applet it doesn't cause any problem until you click on it (hence opening the Processes window)

--

I get this error after the crash

Fatal server error
Caught signal 11. Server aborting
Comment 2 Bug Zapper 2009-11-18 04:27:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:38:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.